AnyEvent::XMPP::Error(3)

NAME
AnyEvent::XMPP::Error - Error class hierarchy for error reporting

SYNOPSIS
   die $error->string;

DESCRIPTION
This module is a helper class for abstracting any kind of error that occurs in AnyEvent::XMPP.

You receive instances of these objects by various events.

SUPER CLASS
AnyEvent::XMPP::Error - The super class of all errors

  METHODS
These methods are implemented by all subclasses.

string ()
    Returns a humand readable string for this error.

AUTHOR
Robin Redeker, "<elmex at ta-sa.org>", JID: "<elmex at jabber.org>"

COPYRIGHT & LICENSE
Copyright 2007, 2008 Robin Redeker, all rights reserved.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.